Contacts

Contacts

GET
/v1/workspaces/{workspace_id}/contacts

Your own contacts and the company’s, as the Recipients chooser finds them; q narrows by name, email or company.

Authorization

bearer
headerAuthorizationBearer <token>

An access token from /v1/auth/token, or a personal token: opaque, beginning s2a_.

Path Parameters

workspace_id*string

wsp_…, from GET /v1/me

Lengthlength <= 40

Query Parameters

q?string
Lengthlength <= 120
organisation_id?string

org_…

Lengthlength <= 40

Response Body

Contacts you can see

application/json
  1. response

Contacts you can see

data*array<>
curl -X GET 'https://api.sign2approve.com/v1/workspaces/string/contacts'
{  "data": [    {      "id": "con_01a16d3fd3507be78e41c4540aa20a3c",      "name": "Pat Client",      "email": "[email protected]",      "job_title": "Director",      "phone": null,      "organisation": {        "id": "org_01a16d3fd3507be78e41c4540aa20a3d",        "name": "Client Ltd"      },      "mine": true    }  ]}